jQuery(document).ready(function($) {

    // Append stock message to product Inventory tab
    var inventoryStockMessage = 'If this product is synced with the Goodtill ' +
        'please ensure that the SKU matches the Goodtill product and only update ' +
        'the stock in the Goodtill backoffice. You do not need to tick the above ' +
        'checkbox to sync stock with Goodtill.';

    $('.form-field._manage_stock_field.show_if_simple.show_if_variable')
        .append('<br><p class="description" style="display: block;">' + inventoryStockMessage + '</p>');

    // Append stock message to Variants tab
    var variantsStockMessage = 'For any of the below variants synced with the Goodtill ' +
        'please ensure that the SKU matches the Goodtill variant and only update ' +
        'the stock in the Goodtill backoffice.';

    $('#variable_product_options_inner .toolbar.toolbar-variations-defaults')
        .append('<span class="description">' + variantsStockMessage + '</span>');

    // Append restock message to refund items checkbox.
    var $restockLabel = $('.wc-order-totals label[for="restock_refunded_items"]');
    if ($restockLabel.length > 0) {
        var message = $restockLabel.text();
        var newMessage = message.replace(':', '') + ' (also restocks in Goodtill):';
        $restockLabel.text(newMessage);
    }
});